Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.configurableparser
Class StandardConfigurableParser

    java.lang.Object
      com.singularsys.jep.configurableparser.ConfigurableParser
          com.singularsys.jep.configurableparser.StandardConfigurableParser

All Implemented Interfaces:
  JepComponent, Parser, java.io.Serializable

    public class StandardConfigurableParser

extends ConfigurableParser

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.configurableparser.ConfigurableParser
`filters, g, jep, m, otm, stm, tk`

Constructor Summary
`StandardConfigurableParser()` Create a standard configurable parse with standard options.

Method Summary

Methods inherited from class com.singularsys.jep.configurableparser.ConfigurableParser
`addArrayAccessMatcher, addBracketMatcher, addDoubleQuoteStrings, addExponentNumbers, addFunctionMatcher, addGrammarMatcher, addHashComments, addIdentifiers, addListMatcher, addListOrBracketMatcher, addOperatorTokenMatcher, addSemiColonTerminator, addSimpleNumbers, addSingleQuoteStrings, addSlashComments, addSymbols, addTokenFilter, addTokenMatcher, addWhiteSpace, addWhiteSpaceCommentFilter, continueParse, filter, getGrammarMatchers, getLightWeightInstance, getOperatorTokenMatcher, getSymbolToken, getSymbolTokenMatcher, getTokenFilters, getTokenMatchers, init, parse, parse, restart, scan, scan, setImplicitMultiplicationSymbols`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardConfigurableParser

    public StandardConfigurableParser()

  Create a standard configurable parse with standard options.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep